> ## Documentation Index
> Fetch the complete documentation index at: https://docs.serial.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Status

> Promote or demote the work order status. For example, after a work order has been drafted it can be promoted to review, the released for production



## OpenAPI

````yaml PATCH /work-orders/{id}/status
openapi: 3.1.0
info:
  title: Serial
  version: '1.0'
  description: Access and control your Serial data programmatically.
  contact:
    name: Devon Copeland
    email: support@serial.io
    url: www.serial.io
  summary: Serial API
servers:
  - url: https://api.serial.io
security:
  - serial-default-security: []
tags:
  - name: AI
    description: AI Endpoints
  - name: Auth
    description: Auth Endpoints
  - name: Companies
    description: Company Endpoints
  - name: Component Instances
    description: Component Instance Endpoints
  - name: Components
    description: Component Endpoints
  - name: Datasets
    description: Dataset Endpoints
  - name: Fields
    description: Field Endpoints
  - name: Legacy
    description: Legacy Endpoints
  - name: Part Numbers
    description: Part Number Endpoints
  - name: Processes
    description: Process Endpoints
  - name: Properties
    description: Property Endpoints
  - name: Storage
    description: Storage Endpoints
  - name: Users
    description: User Endpoints
  - name: Work Orders
    description: Work Order Endpoints
paths:
  /work-orders/{id}/status:
    parameters:
      - $ref: '#/components/parameters/work-order-id'
    patch:
      tags:
        - Work Orders
      summary: Update Status
      description: >-
        Promote or demote the work order status. For example, after a work order
        has been drafted it can be promoted to review, the released for
        production
      operationId: patch-work-orders-id-state
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                status:
                  x-stoplight:
                    id: jd72a7ahkdqqb
                  enum:
                    - DRAFT
                    - REVIEW
                    - PRODUCTION
                    - COMPLETE
                    - CANCELED
                    - ARCHIVED
                updated_by_user_id:
                  type: string
                  x-stoplight:
                    id: zroem5az661g5
                  format: uuid
                comment:
                  type: string
                  x-stoplight:
                    id: dol9os264phjb
              required:
                - status
                - updated_by_user_id
            examples:
              Example 1:
                value:
                  status: COMPLETE
                  updated_by_user_id: ff74beb8-f6c2-4202-b886-07321bd1ac70
                  comment: >-
                    We don't need as many as we thought. Moving to completion
                    before meeting qty.
        description: ''
      responses:
        '200':
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
          content: {}
        '404':
          description: Not Found
components:
  parameters:
    work-order-id:
      name: id
      in: path
      required: true
      schema:
        type: string
      description: >-
        The work order UUID (`work_order.id`) or work order number
        (`work_order.wo_number`). Both will map to the same work order
  securitySchemes:
    serial-default-security:
      type: http
      scheme: bearer
      description: '**API Key** or **Token** formatted as `Bearer <YOUR_KEY_OR_TOKEN>`'

````